// gis_daten.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Ecopay.h"
#include "gis_daten.h"
#include "massnahme.h"
#include "pixel.h"
#include "matrix.h"
#include "datenbank.h"
#include <vector>

using namespace std;

// gis_daten-Dialogfeld

IMPLEMENT_DYNAMIC(gis_daten, CDialog)

gis_daten::gis_daten(CWnd* pParent /*=NULL*/)
: CDialog(gis_daten::IDD, pParent)
{

}

gis_daten::~gis_daten()
{
}

void gis_daten::DoDataExchange( CDataExchange* pDX)
{
    CDialog::DoDataExchange( pDX);
}

BEGIN_MESSAGE_MAP(gis_daten, CDialog)
ON_BN_CLICKED(IDC_BUTTON1, &gis_daten::OnBnClickedButton1)
ON_BN_CLICKED(IDOK, &gis_daten::OnBnClickedOk)
END_MESSAGE_MAP()

// gis_daten-Meldungshandler

void gis_daten::OnBnClickedButton1()
{

    // Hier muss der Code hinein um den Pixel zu erzeugen und zu speichern!!!!
    //massnahme massn;
    datenbank daten;

    /*
     for( int i = 1754; i<1798 ; i++)
     {
     
     daten.save_mas_gr(i,3);
     daten.save_mas_gr(i,4);
     daten.save_mas_gr(i,5);
     daten.save_mas_gr(i,6);
     
     }

     for( int i = 2510; i<2554 ; i++)
     {
     
     daten.save_mas_gr(i,3);
     daten.save_mas_gr(i,5);
     
     }
     for( int i = 3014; i<3388 ; i++)
     {
     
     daten.save_mas_gr(i,3);
     daten.save_mas_gr(i,);
     
     }*/
    //bool gesp = massn.save_massnahme_in_database();

    pixel*** neue_matrix;
    //die Matrix für das Bundesland Sachsen wird erstellt mit 674 zeilen und 885 Spalten
    matrix mat;
    neue_matrix = mat.create_pixel_matrix(674, 885,1);

    CString str;
    int ref = neue_matrix[500][42]->get_gruenlandzahl();
    str.Format(_T("%d"),ref);
    GetDlgItem(IDC_WERT)->SetWindowTextA(str);

    mat.delete_pixel_matrix(neue_matrix, 674,885);
}

void gis_daten::OnBnClickedOk()
{


    OnOK();
}
